> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entities



## OpenAPI

````yaml firework-v4-openapi post /firework/v4/entities/global/_search
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/entities/global/_search:
    post:
      tags:
        - public
        - team=data-intelligence
      summary: List Entities
      operationId: list_entities_entities_global__search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EntitySearchParamsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_EntityLiteAPIResponseTypes_str_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EntitySearchParamsPayload:
      properties:
        query:
          type: string
          title: Query
          default: ''
        filters:
          $ref: '#/components/schemas/EntitySearchFilters'
        sort:
          anyOf:
            - type: string
            - type: 'null'
          title: Sort
        order:
          $ref: '#/components/schemas/OrderType'
          default: desc
        from:
          anyOf:
            - type: string
            - type: 'null'
          title: From
        size:
          type: integer
          title: Size
          default: 10
      type: object
      title: EntitySearchParamsPayload
    PaginatedResults_EntityLiteAPIResponseTypes_str_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EntityLiteAPIResponseTypes'
          type: array
          title: Items
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - items
        - next
      title: PaginatedResults[EntityLiteAPIResponseTypes, str]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntitySearchFilters:
      properties:
        types:
          anyOf:
            - items:
                $ref: '#/components/schemas/EntityType'
              type: array
            - type: 'null'
          title: Types
        sources:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sources
        topic_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Topic Ids
        created_at:
          $ref: '#/components/schemas/DateFilter'
        updated_at:
          $ref: '#/components/schemas/DateFilter'
        first_seen_at:
          $ref: '#/components/schemas/DateFilter'
        last_seen_at:
          $ref: '#/components/schemas/DateFilter'
      type: object
      title: EntitySearchFilters
    OrderType:
      type: string
      enum:
        - asc
        - desc
      title: OrderType
    EntityLiteAPIResponseTypes:
      anyOf:
        - $ref: '#/components/schemas/ActorLiteAPIResponse'
        - $ref: '#/components/schemas/AttackPatternEntityLiteAPIResponse'
        - $ref: '#/components/schemas/CampaignEntityLiteAPIResponse'
        - $ref: '#/components/schemas/ChatChannelEntityLiteAPIResponse'
        - $ref: '#/components/schemas/ExternalReportEntityLiteAPIResponse'
        - $ref: '#/components/schemas/ForumThreadLiteAPIResponse'
        - $ref: '#/components/schemas/IndicatorEntityLiteAPIResponse'
        - $ref: '#/components/schemas/InfrastructureEntityLiteAPIResponse'
        - $ref: '#/components/schemas/LocationEntityLiteAPIResponse'
        - $ref: '#/components/schemas/MalwareEntityLiteAPIResponse'
        - $ref: '#/components/schemas/ThreatActorEntityLiteAPIResponse'
        - $ref: '#/components/schemas/ThreatActorGroupEntityLiteAPIResponse'
        - $ref: '#/components/schemas/ToolEntityLiteAPIResponse'
        - $ref: '#/components/schemas/VulnerabilityEntityLiteAPIResponse'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EntityType:
      type: string
      enum:
        - attack_pattern
        - actor
        - campaign
        - chat_channel
        - external_report
        - forum_thread
        - identity
        - indicator
        - infrastructure
        - domain
        - location
        - malware
        - organization
        - threat_actor
        - threat_actor_group
        - tool
        - vulnerability
      title: EntityType
    DateFilter:
      properties:
        gt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Gt
        gte:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Gte
        lt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lt
        lte:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lte
      type: object
      title: DateFilter
    ActorLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: actor
          title: Entity Type
          default: actor
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ActorLiteData'
      type: object
      required:
        - metadata
        - data
      title: ActorLiteAPIResponse
    AttackPatternEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: attack_pattern
          title: Entity Type
          default: attack_pattern
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/AttackPatternEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: AttackPatternEntityLiteAPIResponse
    CampaignEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: campaign
          title: Entity Type
          default: campaign
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/CampaignEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: CampaignEntityLiteAPIResponse
    ChatChannelEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: chat_channel
          title: Entity Type
          default: chat_channel
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ChatChannelEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: ChatChannelEntityLiteAPIResponse
    ExternalReportEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: external_report
          title: Entity Type
          default: external_report
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ExternalReportEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: ExternalReportEntityLiteAPIResponse
    ForumThreadLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: forum_thread
          title: Entity Type
          default: forum_thread
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ForumThreadLiteData'
      type: object
      required:
        - metadata
        - data
      title: ForumThreadLiteAPIResponse
    IndicatorEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: indicator
          title: Entity Type
          default: indicator
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/IndicatorEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: IndicatorEntityLiteAPIResponse
    InfrastructureEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: infrastructure
          title: Entity Type
          default: infrastructure
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/InfrastructureEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: InfrastructureEntityLiteAPIResponse
    LocationEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: location
          title: Entity Type
          default: location
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/LocationEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: LocationEntityLiteAPIResponse
    MalwareEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: malware
          title: Entity Type
          default: malware
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/MalwareEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: MalwareEntityLiteAPIResponse
    ThreatActorEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: threat_actor
          title: Entity Type
          default: threat_actor
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ThreatActorEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: ThreatActorEntityLiteAPIResponse
    ThreatActorGroupEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: threat_actor_group
          title: Entity Type
          default: threat_actor_group
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ThreatActorGroupEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: ThreatActorGroupEntityLiteAPIResponse
    ToolEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: tool
          title: Entity Type
          default: tool
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ToolEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: ToolEntityLiteAPIResponse
    VulnerabilityEntityLiteAPIResponse:
      properties:
        entity_type:
          type: string
          const: vulnerability
          title: Entity Type
          default: vulnerability
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/VulnerabilityEntityLiteData'
      type: object
      required:
        - metadata
        - data
      title: VulnerabilityEntityLiteAPIResponse
    EntityMetadataAPIResponse:
      properties:
        id:
          type: string
          title: Id
        created_by:
          type: string
          title: Created By
        sources:
          items:
            $ref: '#/components/schemas/CTIEntitySourceAPIResponse'
          type: array
          title: Sources
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        first_seen_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Seen At
        last_seen_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen At
        confidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Confidence
      type: object
      required:
        - id
        - created_by
        - sources
        - created_at
        - updated_at
      title: EntityMetadataAPIResponse
    ActorLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: ActorLiteData
    AttackPatternEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: AttackPatternEntityLiteData
    CampaignEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
      type: object
      required:
        - name
        - description
        - aliases
      title: CampaignEntityLiteData
    ChatChannelEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        topics:
          items:
            $ref: '#/components/schemas/ThreadTopic'
          type: array
          title: Topics
      type: object
      required:
        - name
        - description
        - topics
      title: ChatChannelEntityLiteData
    ExternalReportEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: ExternalReportEntityLiteData
    ForumThreadLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        topics:
          items:
            $ref: '#/components/schemas/ThreadTopic'
          type: array
          title: Topics
      type: object
      required:
        - name
        - description
        - topics
      title: ForumThreadLiteData
    IndicatorEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        pattern:
          type: string
          title: Pattern
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - pattern
        - description
      title: IndicatorEntityLiteData
    InfrastructureEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
      type: object
      required:
        - name
        - description
        - aliases
      title: InfrastructureEntityLiteData
    LocationEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: LocationEntityLiteData
    MalwareEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
      type: object
      required:
        - name
        - description
        - aliases
      title: MalwareEntityLiteData
    ThreatActorEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
      type: object
      required:
        - name
        - description
        - aliases
      title: ThreatActorEntityLiteData
    ThreatActorGroupEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
      type: object
      required:
        - name
        - description
        - aliases
      title: ThreatActorGroupEntityLiteData
    ToolEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: ToolEntityLiteData
    VulnerabilityEntityLiteData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: VulnerabilityEntityLiteData
    CTIEntitySourceAPIResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        confidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Confidence
      type: object
      required:
        - id
      title: CTIEntitySourceAPIResponse
    ThreadTopic:
      properties:
        topic_id:
          type: string
          title: Topic Id
        label:
          type: string
          title: Label
        description:
          type: string
          title: Description
      type: object
      required:
        - topic_id
        - label
        - description
      title: ThreadTopic
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````